Description

https://puppet.com/docs/puppet/6.21/server/tuning_guide.html suggests to increase ReservedCodeCacheSize. Technically this is

needed when JRuby 9k is enabled. That was an option in 5 and default in 6. A value of 512m appears to be good default.

Associated revisions

Revision 2bede0fa - 04/09/2021 06:43 PM - Ewoud Kohl van Wijngaarden

Fixes #32269 - Set ReservedCodeCache for Puppetserver

Puppetserver 6 really benefits from an increased ReservedCodeCache.

Puppet recommends this in their tuning guide

1

 and various deployments

have shown to greatly benefit from it. 512m appears to be a good default

since it works well even on small installs without real downsides.

[1]: https://puppet.com/docs/puppet/6.21/server/tuning_guide.html

History

#1 - 04/07/2021 05:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/671 added

#2 - 04/09/2021 06:44 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#3 - 04/09/2021 07:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|2bede0faa924a3c86fd06933fbcc7b9133d9d193.

#4 - 05/06/2021 12:00 PM - Ewoud Kohl van Wijngaarden

- Category set to foreman-installer script

- Target version set to 2.5.0

- Triaged changed from No to Yes
